
Katello - Bug #4870

Missing organization_id foreign key on a number of tables

03/26/2014 01:05 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1113398 Red Hat JIRA:  

Pull request:    

Description

There are no foreign keys for any organization_id columns in our database. This includes activation keys, environments, etc.

Associated revisions

Revision c97199a3 - 06/27/2014 04:06 PM - Partha Aji

Fixes #4870, bz1113398 - Added missing foreign key associations

Also contains updates to association tests if foreign key constraints

are not defined in 'belongs_to' associations for all Katello models.

Revision 143f0d9a - 06/27/2014 06:48 PM - Partha Aji

Merge pull request #4353 from parthaa/fk

Fixes #4870, bz1113398 - Added missing foreign key associations

History

#1 - 04/25/2014 11:57 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 01:32 PM - Eric Helms

- Category set to 81

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/23/2014 07:25 PM - Mike McCune

- Assignee set to Partha Aji

#5 - 06/26/2014 06:12 AM - Partha Aji

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1113398

#6 - 06/27/2014 06:52 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c97199a3298e5ba91f0bf00b6e548118c4214993.
